wibble::str::Split::const_iterator Class Reference

`#include <string.h>`

## Public Member Functions

| const_iterator (const std::string &sep, const std::string &str)
| const_iterator (const std::string &sep, const std::string &str, bool)
const_iterator & | operator++ ()
std::string | remainder () const
const std::string & | operator* () const
const std::string * | operator-> () const
bool | operator== (const const_iterator &ti) const
bool | operator!= (const const_iterator &ti) const

## Constructor & Destructor Documentation

## const_iterator() [1/2]

wibble::str::Split::const_iterator::const_iterator | ( | const std::string & | sep,
|  | const std::string & | str
| ) |  |

inline

## const_iterator() [2/2]

wibble::str::Split::const_iterator::const_iterator | ( | const std::string & | sep,
|  | const std::string & | str,
|  | bool |
| ) |  |

inline

## Member Function Documentation

## operator!=()

bool wibble::str::Split::const_iterator::operator!= | ( | const const_iterator & | ti | ) | const

inline

## operator*()

const std::string& wibble::str::Split::const_iterator::operator* | ( |  | ) | const

inline

## operator++()

const_iterator& wibble::str::Split::const_iterator::operator++ | ( |  | ) |

inline

References wibble::list::end().

## operator->()

const std::string* wibble::str::Split::const_iterator::operator-> | ( |  | ) | const

inline

## operator==()

bool wibble::str::Split::const_iterator::operator== | ( | const const_iterator & | ti | ) | const

inline

## remainder()

std::string wibble::str::Split::const_iterator::remainder | ( |  | ) | const

inline

The documentation for this class was generated from the following file:

- string.h